Page MenuHomePhabricator

Add dty, gor, inh, kbp and lfn to InterwikiSortOrders
Closed, ResolvedPublic

Description

Wikipedia in these languages exists now, but they are missing from interwiki sort orders. On meta.wikimedia.org Interwiki_config-sorting_order* system messages have been modified to include these, but this apparently no longer has an effect on actual sort orders.

Patch for review:
https://gerrit.wikimedia.org/r/468337

Note: Someone might want to update this page as well so that it'd reflect where interwiki sorting order for Wikimedia projects is configured these days. (I don't know if this page is entirely outdated or whether it still applys to some extent for e.g. use by bots.)

Event Timeline

Pikne created this task.Oct 29 2018, 1:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2018, 1:21 PM

Change 468337 had a related patch set uploaded (by Pikne; owner: Pikne):
[operations/mediawiki-config@master] Add dty, gor, inh, kbp and lfn to InterwikiSortOrders

https://gerrit.wikimedia.org/r/468337

Dereckson added a subscriber: Dereckson.

Could someone from the language team comment the change 468337?

AFAICS, @Nikerabbit commented the change on behalf of the Language team. @Dereckson, are you okay with deploying?

Urbanecm assigned this task to Pikne.Nov 7 2018, 8:45 AM
Urbanecm added a project: User-Urbanecm.
Urbanecm moved this task from Backlog to To deploy - scheduled for SWAT on the User-Urbanecm board.

Assigning to patch author. I scheduled the change for deployment in today EU SWAT.

Change 468337 merged by jenkins-bot:
[operations/mediawiki-config@master] Add dty, gor, inh, kbp and lfn to InterwikiSortOrders

https://gerrit.wikimedia.org/r/468337

Mentioned in SAL (#wikimedia-operations) [2018-11-07T12:16:51Z] <zfilipin@deploy1001> Synchronized wmf-config/InterwikiSortOrders.php: SWAT: [[gerrit:468337|Add dty, gor, inh, kbp and lfn to InterwikiSortOrders (T208217)]] (duration: 00m 53s)

Pikne closed this task as Resolved.Nov 7 2018, 12:54 PM

Thank you. Looks good on wikis that use alphabetic and alphabetic_revised sorting orders.

Note that above patch left alphabetic_sr and alphabetic_fy untouched as I don't know what these orders are based on. So language codes added here may need further attention if someone on Serbian or West Frisian Wikipedia notices that their sorting order needs adjusting.